 /*
  * Copyright (C), 2018-2020
  * Project: starter
  * FileName: RoleGroupDBAccess
  * Author:   
  * Date:     2020/6/4 11:48
  */
 package com.fr.plugin.cdia;

 import com.fr.plugin.db.AbstractDBAccessProvider;
 import com.fr.plugin.cdia.dao.ProcessAssignDao;
 import com.fr.plugin.cdia.entity.ProcessAssignEntity;
 import com.fr.stable.db.accessor.DBAccessor;
 import com.fr.stable.db.dao.BaseDAO;
 import com.fr.stable.db.dao.DAOProvider;

 /**
  * 〈Function Description〉<br>
  * 〈ProcessDBAccess〉
  *
  * @author 
  * @since 1.0.0
  */
 public class ProcessDBAccess extends AbstractDBAccessProvider {
     private static DBAccessor accessor;

     public ProcessDBAccess() {
     }

     public static DBAccessor getAccessor() {
         return accessor;
     }

     @Override
     public DAOProvider[] registerDAO() {
         return new DAOProvider[]{
                 new DAOProvider() {
                     @Override
                     public Class getEntityClass() {
                         return ProcessAssignEntity.class;
                     }

                     @Override
                     public Class<? extends BaseDAO> getDAOClass() {
                         return ProcessAssignDao.class;
                     }
                 }
         };
     }

     @Override
     public void onDBAvailable(DBAccessor dbAccessor) {
         accessor = dbAccessor;
     }
 }