 /*
  * Copyright (C), 2018-2020
  * Project: starter
  * FileName: ProcessURLAliasProvider
  * Author:   
  * Date:     2020/9/11 8:47
  */
 package com.fr.plugin.cdia;

 import com.fr.decision.fun.impl.AbstractURLAliasProvider;
 import com.fr.decision.webservice.url.alias.URLAlias;
 import com.fr.decision.webservice.url.alias.URLAliasFactory;

 import static com.fr.plugin.cdia.service.AssignServiceHandler.API_ASSIGN_PROCESS;
 import static com.fr.plugin.cdia.service.QueryServiceHandler.API_QUERY_PROCESS;

 /**
  * <Function Description><br>
  * <ProcessURLAliasProvider>
  *
  * @author 
  * @since 1.0.0
  */
 public class ProcessURLAliasProvider extends AbstractURLAliasProvider {

     public ProcessURLAliasProvider() {
     }

     @Override
     public URLAlias[] registerAlias() {
         return new URLAlias[]{
                 URLAliasFactory.createPluginAlias(API_ASSIGN_PROCESS, API_ASSIGN_PROCESS, true),
                 URLAliasFactory.createPluginAlias(API_QUERY_PROCESS, API_QUERY_PROCESS, true)
         };
     }
 }