 /*
  * Copyright (C), 2018-2020
  * Project: starter
  * FileName: DataSubmitItems
  * Author:   
  * Date:     2020/9/1 8:47
  */
 package com.fr.plugin.cdia.submit.ui;

 import com.fr.design.designer.properties.items.Item;
 import com.fr.design.designer.properties.items.ItemProvider;
 import com.fr.design.i18n.Toolkit;
 import com.fr.plugin.cdia.submit.job.AddUserSubmitJob;
 import com.fr.plugin.cdia.submit.job.CustomSubmitJob;

 import java.util.ArrayList;
 import java.util.List;

 /**
  * <Function Description><br>
  * <DataSubmitItems>
  *
  * @author 
  * @since 1.0.0
  */
 public class DataSubmitItems implements ItemProvider {

     public static List<Item> LIST_ITEMS = new ArrayList<Item>() {{
         add(new Item(Toolkit.i18nText("Plugin-cdia_ClassName_Apply_Submit"), CustomSubmitJob.class.getName()));
         add(new Item(Toolkit.i18nText("Plugin-cdia_ClassName_Add_User_Submit"), AddUserSubmitJob.class.getName()));
     }};

     public static List<String> classNameList = new ArrayList<String>() {{
         add(CustomSubmitJob.class.getName());
         add(AddUserSubmitJob.class.getName());
     }};

     public DataSubmitItems() {
     }

     @Override
     public Item[] getItems() {
         return LIST_ITEMS.toArray(new Item[0]);
     }
 }