 /*
  * Copyright (C), 2018-2020
  * Project: starter
  * FileName: WebResourceComponent
  * Author:   
  * Date:     2020/8/31 16:39
  */
 package com.fr.plugin.cdia.web;

 import com.fr.intelli.record.Focus;
 import com.fr.intelli.record.Original;
 import com.fr.record.analyzer.EnableMetrics;
 import com.fr.web.struct.Component;
 import com.fr.web.struct.browser.RequestClient;
 import com.fr.web.struct.category.ScriptPath;

 /**
  * <Function Description><br>
  * <WebResourceComponent>
  *
  * @author 
  * @since 1.0.0
  */
 @EnableMetrics
 public class WebResourceComponent extends Component {
     public static final String PLUGIN_ID = "com.fr.plugin.cdia.v10";

     public static final WebResourceComponent KEY = new WebResourceComponent();

     @Override
     @Focus(id = PLUGIN_ID, text = "Plugin-cdia", source = Original.PLUGIN)
     public ScriptPath script(RequestClient requestClient) {
         return ScriptPath.build("/com/fr/plugin/cdia/web/cdia.js");
     }
 }