 /*
  * Copyright (C), 2018-2020
  * Project: starter
  * FileName: JSCSSBridge
  * Author:   
  * Date:     2020/8/31 16:34
  */
 package com.fr.plugin.cdia;

 import com.fr.decision.fun.impl.AbstractWebResourceProvider;
 import com.fr.decision.web.UserComponent;
 import com.fr.plugin.cdia.web.WebResourceComponent;
 import com.fr.stable.fun.Authorize;
 import com.fr.web.struct.Atom;

 /**
  * <Function Description><br>
  * <平台组件定制JSCSSBridge>
  *
  * @author 
  * @since 1.0.0
  */
 @Authorize(callSignKey = WebResourceComponent.PLUGIN_ID)
 public class JSCSSBridge extends AbstractWebResourceProvider {
     @Override
     public Atom attach() {
         return UserComponent.KEY;
     }

     @Override
     public Atom client() {
         return WebResourceComponent.KEY;
     }
 }