 /*
  * Copyright (C), 2018-2020
  * Project: starter
  * FileName: ProcessHttpHandlerProvider
  * Author:   
  * Date:     2020/9/11 8:41
  */
 package com.fr.plugin.cdia;

 import com.fr.decision.fun.impl.AbstractHttpHandlerProvider;
 import com.fr.decision.fun.impl.BaseHttpHandler;
 import com.fr.plugin.cdia.service.AssignServiceHandler;
 import com.fr.plugin.cdia.service.QueryServiceHandler;
 import com.fr.stable.fun.Authorize;

 import static com.fr.plugin.cdia.web.WebResourceComponent.PLUGIN_ID;

 /**
  * <Function Description><br>
  * <ProcessHttpHandlerProvider>
  *
  * @author 
  * @since 1.0.0
  */
 @Authorize(callSignKey = PLUGIN_ID)
 public class ProcessHttpHandlerProvider extends AbstractHttpHandlerProvider {
     public ProcessHttpHandlerProvider() {
     }

     @Override
     public BaseHttpHandler[] registerHandlers() {
         return new BaseHttpHandler[]{
                 new AssignServiceHandler(),
                 new QueryServiceHandler()
         };
     }
 }