 /*
  * Copyright (C), 2018-2020
  * Project: starter
  * FileName: SubmitUIBridge
  * Author:   
  * Date:     2020/8/31 21:50
  */
 package com.fr.plugin.cdia.submit;

 import com.fr.design.beans.BasicBeanPane;
 import com.fr.design.fun.impl.AbstractSubmitProvider;
 import com.fr.design.i18n.Toolkit;
 import com.fr.plugin.cdia.submit.ui.DataSubmitConfigPane;

 /**
  * <Function Description><br>
  * <SubmitUIBridge>
  *
  * @author 
  * @since 1.0.0
  */
 public class SubmitUIBridge extends AbstractSubmitProvider {
     public static final String KEY = "DataSubmit";

     @Override
     public BasicBeanPane appearanceForSubmit() {
         return new DataSubmitConfigPane();
     }

     @Override
     public String dataForSubmit() {
         return Toolkit.i18nText("Plugin-cdia_Submit_Data");
     }

     @Override
     public String keyForSubmit() {
         return SubmitUIBridge.KEY;
     }
 }